## vdk2 2.4.0

=== example/hello/Makefile ===
# Visual Development Kit
# by Motta mario
# version 2.0
# hello program
CFLAGS =  -Wall -g
CC = g++
#-------------
# hello
#-------------

all: hello hello2

hello: hello.o
	$(CC) -o hello  hello.o  `vdk-config-2 --libs`

hello.o: hello.cc
	$(CC)   $(CFLAGS)  `vdk-config-2 --cflags`  -c  hello.cc

hello2: hello2.o
	$(CC) -o hello2  hello2.o  `vdk-config-2 --libs`

hello2.o: hello2.cc
	$(CC)   $(CFLAGS)  `vdk-config-2 --cflags`  -c  hello2.cc

hello3: hello3.o
	$(CC) -o hello3  hello3.o  `vdk-config-2 --libs`

#hello3.o: hello3.cc
#	$(CC)   $(CFLAGS)  `vdk-config-2 --cflags`  -c  hello3.cc

clean:
	-rm -f hello hello2 hello3
	-rm -f *.o
	-rm -f *~ core

=== example/iotut/Makefile ===
#
#  Copyright (C) 1999 Jonathan R. Hudson
#  Developed by Jonathan R. Hudson <jrhudson@bigfoot.com>
# 
#  Modified by Mario Motta <mmotta@guest.net> to port on vdk series 2
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

CFLAGS =  -Wall -O2 -g -DVDK2=1
CXX = g++
LDFLAGS = -g
LIBS = `vdk-config-2 --libs` 
VDK_CFLAGS = `vdk-config-2 --cflags`

all: iodemo0 iodemo1 iodemo1a iodemo1b iodemo2 helper0 helper1

helper0: helper0.o
	$(CC) -O2 -o $@  $+ 

helper1: helper1.o
	$(CC) -O2 -o $@  $+ 

iodemo0: iodemo0.o 
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo0.o: iodemo0.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1: iodemo1.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo1.o: iodemo1.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1a.o: iodemo1a.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1b.o: iodemo1b.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1a: iodemo1a.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo1b: iodemo1b.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo2.o: iodemo2.cc iodemo2.h Socket.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo2: iodemo2.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)


clean:
	-rm -f iodemo0 iodemo1 iodemo1a iodemo1b iodemo2 helper0 helper1
	-rm -f *.o
	-rm -f *~ core '#*#'

=== example/template/Makefile ===
###############################
# Makefile for building ./ttest
###############################

####### Compiler, tools and options

CC	=	g++
CFLAGS	=	-Wall -O2
INCPATH	=	-I./ `vdk-config-2 --cflags`
LINK	=	g++
LIBS	=	`vdk-config-2 --libs`

####### Files

HEADERS =	ttest.h

SOURCES =	ttest.cc 

OBJECTS =	ttest.o

TARGET	=	./ttest

####### Implicit rules

.SUFFIXES: .cc

.cc.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) 
	$(LINK)  -o $(TARGET) $(OBJECTS) $(LIBS)

clean:
	-rm -f $(OBJECTS) $(TARGET)
	-rm -f *~ core

####### Compile
ttest.o: ttest.cc\
		ttest.h

=== debian/changelog ===
vdk2 (2.4.0-5.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrated to DebSrc 3.0. Consequently:
      - debian/clean: created to remove a file generated from the build.
      - debian/control: dropped dpatch from Build-Depends field.
      - debian/patches/01_old_changes.patch: created to group all old direct
        changes from 1.0 format.
      - debian/source/options: created to ignore changes in config.guess and
        config.sub.
      - Closes: #1005978

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 02:36:51 -0300

vdk2 (2.4.0-5.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete libgnome2-dev build-dependency.
    Thanks to Jeremy Bicha for the report. (Closes: #885760)

 -- Markus Koschany <apo@debian.org>  Sat, 17 Feb 2018 20:01:18 +0100

vdk2 (2.4.0-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817712)
  * debian/control:
      - Added a Homepage field.
      - Bumped Standards-Version to 3.9.8.
  * debian/rules: fix missing targets. Thanks to Santiago Vila
    <sanvila@unex.es>. (Closes: #822034)
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Dec 2016 19:11:49 -0200

vdk2 (2.4.0-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * vdk2-2.4.0/vdk-config-2.in: use pkg-config to get the glib path
    - Thanks Julien Cristau <jcristau@debian.org> for suggestion.
      (Closes: #656408)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 31 Jan 2012 12:03:05 +0900

vdk2 (2.4.0-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to pick up the new flags. Closes: #621947.
  * Stop shiping la files. Closes: #633313.

 -- Regis Boudin <regis@debian.org>  Thu, 15 Sep 2011 00:39:07 +0100

vdk2 (2.4.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compatibility with GCC 4.3, patch by Cyril Brulebois (Closes: #454842)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 22:34:17 +0100

vdk2 (2.4.0-5) unstable; urgency=high

  * vdk-2.m4: fix "underquoted definition of AM_PATH_VDK_2" aclocal warning.
  * debian/control:
    + Set policy to 3.7.2.
    + Set a source section (libs).
  * debian/changelog:
    + Fixed file syntax.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 10 Nov 2006 14:39:41 +0100

vdk2 (2.4.0-4) unstable; urgency=low

  * fix g++-4.1 issue (thanks to Martin Michlmayr) Closes: #356892

 -- Michael Vogt <mvo@debian.org>  Fri, 26 May 2006 09:30:24 +0200

vdk2 (2.4.0-3) unstable; urgency=low

  * c++ transition (finally *cough*)
    closes: #294437, #262091, #333971

 -- Michael Vogt <mvo@debian.org>  Sat, 15 Oct 2005 11:58:27 +0200

vdk2 (2.4.0-2) unstable; urgency=low

  * /usr/lib/libvdk.a -> /usr/lib/libvdk2.a

 -- Michael Vogt <mvo@debian.org>  Tue, 17 Aug 2004 12:35:41 +0200

vdk2 (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Aug 2004 12:36:38 +0200

vdk2 (2.0.3-3) unstable; urgency=low

  * debian/control:
    + Fixed the -V flag in the dh_makeshlibs call.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  6 Aug 2003 10:50:05 +0200

vdk2 (2.0.3-2) unstable; urgency=low

  * debian/control:
    + Added Sam to the Uploaders field.
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.
    + Uncapitalised short descriptions.
  * Renamed the libvdk2c102 package to libvdk2-2 because upstream's major
    version changed; added proper conflicts/replaces.
  * debian/rules:
    + Do not install in debian/tmp, so that we do not need to call dh_clean
      in all the install rules. Also removed the clean-dbg rule. Makes
      debugging easier.
  * vdk/numentry.cc: Applied a patch from upstream to fix the VDKNumericEntry
    behaviour (Closes: #196101).
  * Added #DEBHELPER# token to postinst/postrm scripts.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 29 Jul 2003 14:20:33 +0200

vdk2 (2.0.3-1) unstable; urgency=low

  * New upstream release
  * added dependency for libgtk2.0-dev (closes: #197097)

 -- Michael Vogt <mvo@debian.org>  Mon, 19 May 2003 12:20:36 +0200

vdk2 (2.0.2-6) unstable; urgency=low

  * rebuild with latest libtool. this fixes a breakage for mips, mipsel
  (closes: #178110)

 -- Michael Vogt <mvo@debian.org>  Sun, 23 Feb 2003 11:37:57 +0100

vdk2 (2.0.2-5) unstable; urgency=low

  * build libvdk2-doc now in arch-indep rule (thanks bdale, closes: #179415) 

 -- Michael Vogt <mvo@debian.org>  Sun,  2 Feb 2003 11:28:06 +0100

vdk2 (2.0.2-4) unstable; urgency=low

  * rebuild for g++-3.2

 -- Michael Vogt <mvo@debian.org>  Sat, 11 Jan 2003 14:48:33 +0100

vdk2 (2.0.2-3) unstable; urgency=low

  * fixed a small problem in vdk/Makefile.am. 
    Now vdk builds from source again (closes: #166893)

 -- Michael Vogt <mvo@debian.org>  Wed, 30 Oct 2002 11:26:45 +0100

vdk2 (2.0.2-2) unstable; urgency=low

  * rebuild against libgtk2.0-0png3
  * removed libgnome-dev from dependecies

 -- Michael Vogt <mvo@debian.org>  Mon, 19 Aug 2002 14:44:15 +0200

vdk2 (2.0.2-1) unstable; urgency=low

  * new upstream version

 -- Michael Vogt <mvo@debian.org>  Mon,  3 Jun 2002 22:44:32 +0200

vdk2 (2.0.1-3) unstable; urgency=low

  * changed AM_PATH_VDK_2 macro in vdk-2.m4 to work with g++ 3.0.4

 -- Michael Vogt <mvo@debian.org>  Wed, 17 Apr 2002 13:15:42 +0200

vdk2 (2.0.1-2) unstable; urgency=low

  * fixed a bug in vdk-2.m4

 -- Michael Vogt <mvo@debian.org>  Thu,  4 Apr 2002 00:33:17 +0200

vdk2 (2.0.1-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Mon,  1 Apr 2002 23:38:22 +0200

vdk2 (2.0.0-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Wed, 13 Mar 2002 16:20:08 +0100

vdk (1.2.5-6) unstable; urgency=low

  * corrected spelling mistakes (closes: #125063, #125064)

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Dec 2001 05:39:11 +0100



=== debian/control ===
Source: vdk2
Section: libs
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10), libgtk2.0-dev (>= 2.4.0-1), libglib2.0-dev, doxygen, autotools-dev, chrpath
Homepage: https://sf.net/projects/vdkbuilder/

Package: libvdk2-2c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvdk2, libvdk2c102, libvdk2-2
Replaces: libvdk2c102, libvdk2-2
Description: Visual Development Kit C++ library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which 
 contains some  useful new  components not available in pure 
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 Some basic gnome support is provided.

Package: libvdk2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for VDK library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which 
 contains some  useful new  components not available in pure
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 This package contains the header files and static libraries for 
 the VDK C++ and for the VDK Component libraries.
 .
 Install this package if you want the html documentation of VDK.

Package: libvdk2-dev
Section: devel
Architecture: any
Depends: libvdk2-2c2 (= ${binary:Version}), libgtk2.0-dev, ${misc:Depends}
Suggests: libvdk2-doc, doxygen
Description: header files and static libraries for VDK library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which 
 contains some  useful new  components not available in pure
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 This package contains the header files and static libraries for 
 the VDK C++ and for the VDK Component libraries.
 .
 Install this package if you wish to develop your own X programs
 using the VDK C++ and the VDK Component libraries.

Package: libvdk2-dbg
Section: devel
Architecture: any
Priority: extra
Depends: libvdk2-2c2 (= ${binary:Version}), libvdk2-dev (= ${binary:Version}), ${misc:Depends}
Description: debugging static library for the VDK C++ library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which
 contains some  useful new  components not available in pure 
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 This package contains the debugging static libraries for the
 VDK C++ library.
 .
 The debugging libraries are installed as /usr/lib/libvdk_g.a 
 Link specifically with them if you want to debug.

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules file for gtk+ Debian package
# written Feb 1999 by Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>
# used the script written  April 1998 by Ben Gertzfield <che@debian.org> for glib

#include /usr/share/dpatch/dpatch.make

export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


build-arch: build
build-indep: build
build: build-stamp 
build-stamp:
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --enable-debug=no \
		--enable-testvdk=no --mandir=/usr/share/man \
		--enable-gnome=yes
	$(MAKE)
	$(MAKE) docs
	touch build-stamp

build-dbg: build-dbg-stamp 
build-dbg-stamp:
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	         --prefix=/usr --enable-debug=yes \
		--enable-testvdk=no --mandir=/usr/share/man \
		--enable-gnome=yes
	$(MAKE)
	touch build-dbg-stamp

clean: clean1 
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-dbg-stamp install-stamp install-dbg-stamp
	# autotools-dev stuff
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	find . -name '*.o' -o -name '_libs' -o -name '*.lo' -o -name '*.a' -o -name '.deps' | xargs rm -rf
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	$(MAKE) DESTDIR=`pwd`/debian/libvdk2-2c2 install
	rm -f $(CURDIR)/debian/libvdk2-2c2/usr/lib/*.la
	chrpath -d $(CURDIR)/debian/libvdk2-2c2/usr/lib/*.so*
	touch install-stamp

install-dbg: install-dbg-stamp
install-dbg-stamp: build-dbg
	dh_testdir
	dh_testroot
	$(MAKE) DESTDIR=`pwd`/debian/libvdk2-dbg install
	touch install-dbg-stamp

# Build architecture-independent files here.
binary-indep: build install libvdk2-doc 
libvdk2-doc: build
	dh_testdir -plibvdk2-doc
	dh_testroot -plibvdk2-doc

	dh_installdirs -plibvdk2-doc

	# Add here commands to install the files from debian/libvdk2-2c2
	dh_movefiles -plibvdk2-doc --sourcedir=debian/libvdk2-2c2

	# copy documentation
	files="\
		html" ; \
        working_dir=`pwd`; \
	cd doc/doxy; \
	for file in $$files; do \
	    echo $$file; \
	    install -d $$working_dir/debian/libvdk2-doc/usr/share/doc/libvdk2-doc/$$file; \
	    install -m 644 $$file/* \
		$$working_dir/debian/libvdk2-doc/usr/share/doc/libvdk2-doc/$$file/; \
	done

	dh_installdocs -plibvdk2-doc
	dh_installchangelogs -plibvdk2-doc ChangeLog
	dh_strip -plibvdk2-doc
	dh_compress -plibvdk2-doc
	dh_fixperms -plibvdk2-doc

	dh_installdeb -plibvdk2-doc
	dh_shlibdeps -plibvdk2-doc
	dh_gencontrol -plibvdk2-doc
	dh_md5sums -plibvdk2-doc
	dh_builddeb -plibvdk2-doc


# Build architecture-dependent files here.
binary-arch: build install libvdk2-dev libvdk2-2c2 libvdk2-dbg

libvdk2-2c2: build
	dh_testdir -plibvdk2-2c2
	dh_testroot -plibvdk2-2c2
	dh_installdirs -plibvdk2-2c2

	# Add here commands to install the files into debian/tmp
	rm -rf debian/libvdk2-2c2/usr/bin \
		debian/libvdk2-2c2/usr/include \
		debian/libvdk2-2c2/usr/share/aclocal \
		debian/libvdk2-2c2/usr/share/man \
		debian/libvdk2-2c2/usr/lib/*.la
	dh_installdocs -plibvdk2-2c2

	dh_installchangelogs -plibvdk2-2c2 ChangeLog
	dh_strip -plibvdk2-2c2
	dh_compress -plibvdk2-2c2
	dh_fixperms -plibvdk2-2c2
	dh_installdeb -plibvdk2-2c2
	dh_shlibdeps -plibvdk2-2c2
	dh_gencontrol -plibvdk2-2c2
	dh_makeshlibs -plibvdk2-2c2 -V 'libvdk2-2c2 (>= 2.0.3-3)'
	dh_md5sums -plibvdk2-2c2
	dh_builddeb -plibvdk2-2c2


libvdk2-dev: build
	dh_testdir -plibvdk2-dev
	dh_testroot -plibvdk2-dev

	dh_installdirs -plibvdk2-dev

	# Add here commands to install the files from debian/libvdk2-2c2
	dh_movefiles -plibvdk2-dev --sourcedir=debian/libvdk2-2c2
	cp vdk-config-2 debian/libvdk2-dev/usr/bin

	# start copying the examples 
	# here we do something not very clean, but it is working
	# aka, we sometimes try to "install -m 644" some directories
	# the final thing works anyhow
	files="\
		childtask \
		iotut \
		hello \
		template" ; \
    working_dir=`pwd`; \
	for file in example/$$files; do \
	    install -d debian/libvdk2-dev/usr/share/doc/libvdk2-dev/examples/$$file; \
	    cd $$working_dir; \
	    install -m 644 example/$$file/* \
		debian/libvdk2-dev/usr/share/doc/libvdk2-dev/examples/$$file/; \
	done

	files="\
		testvdk \
		doc \
		sigcvdktest " ; \
    working_dir=`pwd`; \
	for file in $$files; do \
	    install -d debian/libvdk2-dev/usr/share/doc/libvdk2-dev/$$file; \
	    cd $$working_dir; \
	    install -m 644 $$file/* \
		debian/libvdk2-dev/usr/share/doc/libvdk2-dev/$$file/; \
	done
	echo finished docs

	# remove unwanted stuff from debian/libvdk2-dev/usr/share/doc/libvdk2-dev/doc
	rm -f debian/libvdk2-dev/usr/share/doc/libvdk2-dev/doc/Makefile*  \
	    debian/libvdk2-dev/usr/share/doc/libvdk2-dev/doc/vdk-config-2.1 \
	    debian/libvdk2-dev/usr/share/doc/libvdk2-dev/doc/vdk-config-2.1.in
	dh_installdocs -plibvdk2-dev 
	dh_installchangelogs -plibvdk2-dev ChangeLog
	dh_strip -plibvdk2-dev
	dh_compress -plibvdk2-dev
	dh_fixperms -plibvdk2-dev

	dh_installdeb -plibvdk2-dev
	dh_shlibdeps -plibvdk2-dev
	dh_gencontrol -plibvdk2-dev
	dh_md5sums -plibvdk2-dev
	dh_builddeb -plibvdk2-dev

libvdk2-dbg: install-dbg
	dh_testdir -plibvdk2-dbg
	dh_testroot -plibvdk2-dbg
	dh_installdirs -plibvdk2-dbg

	# Add here commands to install the files into debian/libvdk2-dbg
	rm -rf debian/libvdk2-dbg/usr/bin \
		debian/libvdk2-dbg/usr/include \
		debian/libvdk2-dbg/usr/share/man \
		debian/libvdk2-dbg/usr/share \
		debian/libvdk2-dbg/usr/lib/*.la \
		debian/libvdk2-dbg/usr/lib/*.so*
	for file in `find debian/libvdk2-dbg/usr/lib -name '*.a'` ; do \
	  mv $$file debian/libvdk2-dbg/usr/lib/`basename $$file .a`_g.a; \
    done

	dh_installdocs -plibvdk2-dbg
	dh_installchangelogs -plibvdk2-dbg ChangeLog
	dh_compress -plibvdk2-dbg
	dh_fixperms -plibvdk2-dbg
	dh_installdeb -plibvdk2-dbg
	dh_shlibdeps -plibvdk2-dbg
	dh_gencontrol -plibvdk2-dbg
	dh_md5sums -plibvdk2-dbg
	dh_builddeb -plibvdk2-dbg

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary patch unpatch

=== debian/watch ===
version=4
http://sf.net/vdkbuilder/vdkbuilder2-(\d\S+)\.tar\.(?:bz2|gz|xz)
